<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="us"
      xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity6">
<head th:replace="~{fragments :: page_head('Users - Shopme Admin', 'none')}"></head>
<body>
<div class="container-fluid">

    <div th:replace="~{navigation :: menu}"></div>

    <div>
        <h2>Manage Users</h2>
        <a th:href="@{/users/new}" class="fa-solid fa-user-plus fa-2x icon-dark mr-2"></a>
        <a th:href="@{/users/export/csv}" class="fa-solid fa-file-csv fa-2x icon-dark mr-2"></a>
        <a th:href="@{/users/export/excel}" class="fa-solid fa-file-excel fa-2x icon-dark mr-2"></a>
        <a th:href="@{/users/export/pdf}" class="fa-solid fa-file-pdf fa-2x icon-dark"></a>
    </div>

    <div th:replace="fragments :: search_form_and_message('/users/page/1')" />

    <div class="full-details">
        <table class="table table-bordered table-striped table-hover table-responsive-xl">
            <caption>The table listing Users</caption>
            <thead class="thead-dark">
            <tr>
                <th class="hideable-column">
                <th th:replace="~{fragments :: column_link('/users','id','User ID', 'tag')}"></th>
                </th>
                <th>Photos</th>

                <th class="hideable-column">
                <th th:replace="~{fragments :: column_link('/users', 'email', 'E-mail', 'tag')}" />
                </th>

                <th th:replace="~{fragments :: column_link('/users', 'firstName', 'First Name', 'none')}" />
                <th th:replace="~{fragments :: column_link('/users', 'lastName', 'Last Name', 'none')}" />

                <th>Roles</th>
                <th th:replace="~{fragments :: column_link('/users', 'enabled', 'Enabled', 'none')}" />
                <th></th>
            </tr>
            </thead>

            <tbody>
            <tr th:each="user : ${users}">
                <td class="hideable-column">[[${user.id}]]</td>
                <<td>
                    <i th:if="${user.photos == null}" class="fa-solid fa-image-portrait fa-3x icon-silver"></i>
                    <img th:if="${user.photos != null}" th:src="${user.photosImagePath}" style="width: 100px" alt=""/>
                </td>

                <td class="hideable-column">[[${user.email}]]</td>
                <td>[[${user.firstName}]]</td>
                <td>[[${user.lastName}]]</td>
                <td>[[${user.role}]]</td>
                <td>
                    <div th:replace="fragments :: status(${user.enabled}, 'user', '/users/' + ${user.id})" />
                </td>

                <td>
                    <div th:replace="fragments :: edit('user', '/users/edit/' + ${user.id})" />
                    &nbsp;&nbsp;
                    <div th:replace="fragments :: delete('user', ${user.id}, '/users/delete/' + ${user.id}, true)" />
                </td>
            </tr>
            </tbody>
        </table>
    </div>

    <div th:replace="fragments :: pagination('/users', 'users')"></div>

    <div th:replace="modal_fragments :: confirm_modal" />

    <div th:fragment="~{fragments :: footer}"></div>
</div>

<script th:src="@{/js/common_list.js}"></script>
<script type="text/javascript">
    moduleURL = "[[@{/users}]]";

    $(document).ready(function() {
        $(".link-delete").on("click", function(e) {
            e.preventDefault();
            showDeleteConfirmModal($(this), 'user');
        });
    });
</script>

</body>
</html>